# ARST打卡第216周[216/521]

<!--more-->

## Algorithm
lc2496_数组中字符串的最大值

思路:
简单的模拟遍历，先假定为数字tmp=0，然后处理前导0的字符，处理完每次为数字都`tmp=tmp*10+(strs[i][j]-'0')`, 字母的话直接返回字符串长度去维护最大ans

```cpp
class Solution {
public:
    int maximumValue(vector<string>& strs) {
        int res = 0;
        for (auto& s : strs) {
            // 时间 4 ms 击败 47.60%   内存 7.4 MB 击败 97.42%
            int tmp = 0;
            for (char& c : s) {
                if (c < '0' || c > '9') {
                    tmp = (int)s.size();
                    break;
                }
                tmp = tmp * 10 + (c - '0');
            }
            res = max(res, tmp);
            // 题解的方式: 
            // 时间 0 ms 击败 100% 内存 7.5 MB 击败 71.53%
            // bool isDigits = true;
            // for (char& c : s) {
            //     isDigits &= isdigit(c);
            // }
            // res = max(res, isDigits ? stoi(s) : (int)s.size());
        }
        return res;
    }
};
```

发现题解还是牛逼啊

## Review
【TED演讲】如何让工作变得快乐

<div align = "center">
    <iframe  width="100%" height="700" src="//player.bilibili.com/player.html?aid=997153959&bvid=BV1es4y1v7zG&cid=1161383444&page=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
</div>

成功和快乐在平时的视角里是相反的，一旦你觉得你成功了，你就没那么容易快乐了，你会想要更成功来快乐

其实我们可以改变自己对成功和快乐的定义，保持积极的心态，这样就能获得长久的快乐

## Tips
[modern-cpp-tutorial](https://github.com/changkun/modern-cpp-tutorial)

## Share
新疆旅游自我感悟分享: 
此心安处是吾乡，旅游风光再美，也不如内心安定，当然好风光看看也挺爽

不过还是觉得一个探索型工作的创造价值以及学习朝着目标进发的内啡肽比旅游的多巴胺和事后的疲惫感爽一些

所以导致之前旅游的后面几天就很想回公司上班了

